The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Knot DNS: privilege escalation via Signature Forgery

Synthesis of the vulnerability 

An attacker can bypass restrictions via Signature Forgery of Knot DNS, in order to escalate his privileges.
Vulnerable systems: Debian, Fedora, openSUSE Leap, SLES.
Severity of this threat: 2/4.
Creation date: 17/07/2017.
Références of this weakness: CVE-2017-11104, DSA-3910-1, FEDORA-2017-081fc9ad77, FEDORA-2017-92643d70b7, FEDORA-2017-b0a2770a9b, FEDORA-2017-bd6aa662fc, FEDORA-2017-d3d38a53f9, FEDORA-2017-e6aaef4475, openSUSE-SU-2018:1395-1, openSUSE-SU-2020:1085-1, openSUSE-SU-2020:1086-1, openSUSE-SU-2020:1112-1, VIGILANCE-VUL-23252.

Description of the vulnerability 

An attacker can bypass restrictions via Signature Forgery of Knot DNS, in order to escalate his privileges.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity vulnerability impacts software or systems such as Debian, Fedora, openSUSE Leap, SLES.

Our Vigil@nce team determined that the severity of this vulnerability is medium.

The trust level is of type confirmed by the editor, with an origin of intranet client.

An attacker with a expert ability can exploit this weakness alert.

Solutions for this threat 

Debian 8/9: new knot packages.
New packages are available:
  Debian 8: knot 1.6.0-1+deb8u1
  Debian 9: knot 2.4.0-3+deb9u1

Fedora: new knot packages.
New packages are available:
  Fedora 24: knot 2.4.5-1.fc24
  Fedora 25: knot 2.4.5-1.fc25
  Fedora 26: knot 2.4.5-1.fc26

Fedora: new knot-resolver packages.
New packages are available:
  Fedora 24: knot-resolver 1.3.1-1.fc24
  Fedora 25: knot-resolver 1.3.1-1.fc25
  Fedora 26: knot-resolver 1.3.1-1.fc26

openSUSE Leap 15: new knot packages.
New packages are available:
  openSUSE Leap 15.1: knot 1.6.8-lp151.4.3.1
  openSUSE Leap 15.2: knot 1.6.8-lp152.5.3.1

openSUSE Leap 42.3: new knot packages.
New packages are available:
  openSUSE Leap 42.3: knot 1.6.5-5.3.1

SUSE LE 15 SP1: new knot packages.
New packages are available:
  SUSE LE 15 SP1: knot 1.6.8-bp151.4.3.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a network vulnerability announce. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.